Bug 129206 - Mozilla unable to render indic languages correctly
Summary: Mozilla unable to render indic languages correctly
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: Indic
TreeView+ depends on / blocked
 
Reported: 2004-08-05 02:29 UTC by Jatin Nansi
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-22 04:57:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jatin Nansi 2004-08-05 02:29:18 UTC
Description of problem:

Mozilla does not display indic CTL languages correctly. We know that
work is currently being done for this, this is a tracking bug.

Version-Release number of selected component (if applicable):
mozilla-1.7-0.3.2

How reproducible:
Allways

Steps to Reproduce:
1.  Start mozilla
2.  Open http://bbc.co.uk/hindi
3.  To see text rendered correctly, copy paste text from the page into
gedit.
  
Actual results:
liguature text are not rendered correctly

Expected results:
Correct rendering of text

Additional info:
This also applies to web forms, mozilla mail, address book, and composer.

Comment 1 Jatin Nansi 2004-08-12 02:14:54 UTC
To test, you may use the Gargi.ttf font available in this rpm: 
http://bob.brisbane.redhat.com/~jnansi/pkgs/ttfonts-hi-1-1.noarch.rpm

Comment 2 Leon Ho 2004-10-22 04:57:22 UTC
In term of code, it should able to render indic now but have to use
$MOZ_ENABLE_PANGO. Will track on enabling pango by default elsewhere.


Note You need to log in before you can comment on or make changes to this bug.